aboutsummaryrefslogtreecommitdiffstats
path: root/graphics/bugle
diff options
context:
space:
mode:
authormiwi <miwi@FreeBSD.org>2012-01-15 03:18:03 +0800
committermiwi <miwi@FreeBSD.org>2012-01-15 03:18:03 +0800
commitc597f46707b20dd435cddd808dcc94cd1bf8b9fc (patch)
tree2237f340fa84714c0c3063b0b909a71eb0e5cc07 /graphics/bugle
parent2e8d0d25873017735e4fd036c5fe25e12ef13d09 (diff)
downloadfreebsd-ports-gnome-c597f46707b20dd435cddd808dcc94cd1bf8b9fc.tar.gz
freebsd-ports-gnome-c597f46707b20dd435cddd808dcc94cd1bf8b9fc.tar.zst
freebsd-ports-gnome-c597f46707b20dd435cddd808dcc94cd1bf8b9fc.zip
- Unbreak with libc++
PR: 163444 Submitted by: Jan Beich <jbeich@tormail.net>
Diffstat (limited to 'graphics/bugle')
-rw-r--r--graphics/bugle/files/patch-mvtu.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/graphics/bugle/files/patch-mvtu.sh b/graphics/bugle/files/patch-mvtu.sh
new file mode 100644
index 000000000000..367274d7bf47
--- /dev/null
+++ b/graphics/bugle/files/patch-mvtu.sh
@@ -0,0 +1,10 @@
+--- mvtu.sh~
++++ mvtu.sh
+@@ -5,6 +5,7 @@ rm -f "$2"
+ for i in "$1.tu" "$1.t00.tu" "$1.001t.tu"
+ do
+ test -f "$i" && mv -f "$i" "$2"
++ test -f "${2%/*}/$i" && mv -f "${2%/*}/$i" "$2"
+ done
+ if ! test -f "$2"
+ then